/* eslint-disable */
// @ts-ignore
import * as API from './types';

export function displayAnalysisTypeEnum(field: API.Analysis_typeEnum) {
  return {
    question: 'question',
    major_question: 'major_question',
    objective_subjective: 'objective_subjective',
  }[field];
}

export function displayAnalysisTypeEnum2(field: API.Analysis_typeEnum2) {
  return {
    question: 'question',
    major_question: 'major_question',
    objective_subjective: 'objective_subjective',
  }[field];
}

export function displayEmphasisTypeEnum(field: API.Emphasis_typeEnum) {
  return { up: 'up', down: 'down', key: 'key', wave: 'wave' }[field];
}

export function displayQueryModeEnum(field: API.Query_modeEnum) {
  return { class: 'class', school: 'school' }[field];
}

export function displayQueryModeEnum2(field: API.Query_modeEnum2) {
  return { class: 'class', school: 'school' }[field];
}

export function displayQueryModeEnum3(field: API.Query_modeEnum3) {
  return { class: 'class', school: 'school' }[field];
}

export function displayQueryModeEnum4(field: API.Query_modeEnum4) {
  return { class: 'class', school: 'school' }[field];
}

export function displayQueryModeEnum5(field: API.Query_modeEnum5) {
  return { class: 'class', school: 'school' }[field];
}

export function displayQueryModeEnum6(field: API.Query_modeEnum6) {
  return { class: 'class', school: 'school' }[field];
}

export function displayQueryModeEnum7(field: API.Query_modeEnum7) {
  return { school: 'school', class: 'class' }[field];
}

export function displayQueryModeEnum8(field: API.Query_modeEnum8) {
  return { class: 'class', school: 'school' }[field];
}

export function displayStatisticsModeEnum(field: API.Statistics_modeEnum) {
  return { segmented: 'segmented', cumulative: 'cumulative' }[field];
}
